%define upstream_name    String-Errf
%define upstream_version 0.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A simple sprintf-like dialect
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Date::Format)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Formatter) >= 0.102.81
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Time::Piece)
BuildRequires: perl(autodie)
BuildArch:  noarch

%{?perl_default_filter}

%description
String::Errf provides 'errf', a simple string formatter that works
something like 'perlfunc/sprintf'. It is implemented using the
String::Formatter manpage and the Sub::Exporter manpage. Their
documentation may be useful in understanding or extending String::Errf.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-6.mga6
+ Revision: 1033356
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.7.0-5.mga6
+ Revision: 933000
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 745524
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.7.0-3.mga5
+ Revision: 733416
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 686241
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.7.0-1.mga5
+ Revision: 586056
- update to 0.007

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 514771
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 372784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 jquelin <jquelin> 0.6.0-1.mga1
+ Revision: 55434
- fix spec file
- imported package perl-String-Errf


* Fri Feb 18 2011 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
